Subject: Re: bug#43389: 28.0.50; Emacs memory leaks

From: Eli Zaretskii <[email-masked]>
Date: Fri, 27 Nov 2020 14:38:07 +0200

> Date: Fri, 27 Nov 2020 11:45:20 +0100
> From: Russell Adams <[email-masked]>
> 
> > > Yes I have a few timers, but those trip at midnight. I call org-agenda
> > > and org-caldev-sync. I don't have any other timers that I know of.
> >
> > Just so we have the hard evidence: could you please show the values of
> > timer-list and timer-idle-list on that system?
> >
> > Thanks.
> >
> 
>            3.15     1.00 appt-check
>            8.38        - undo-auto--boundary-timer
>          117.38     5.00 savehist-autosave
>         1143.17    60.00 url-cookie-write-file
>        44223.15  1440.00 org-save-all-org-buffers
>        44283.15  1440.00 org-agenda-list
>        44343.15  1440.00 org-caldav-sync
>    *       0.00        t show-paren-function
>    *       0.50        t #f(compiled-function () #<bytecode 0x1ffd99dba7bf> [jit-lock--antiblink-grace-timer jit-lock-context-fontify])
>    *       1.00        - helm-ff--cache-mode-refresh

Thanks.

> Unfortunately the Emacs that was 8GB has since been stopped, I killed
> it before working with the trace files. My laptop was rebooted later
> when the trace statistics utils ate all the RAM (my error, wrong input
> file).
> 
> This list of timers is from a new instance, but the configuration
> hasn't changed.
> 
> Are the 50+GB of trace files I have of any value?

I don't think Carlos and others saw your reports, because they were
not CC'ed.  I'm CC'ing them now; please make sure to reply to all of
them next time.

Carlos, please read

  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=43389#554

for the details posted by Russel about his data points.  If you can
instruct him how to produce some analysis from the mtrace files, or
how to make them available for your analysis, please do.

Thanks.